diff --git a/libRTI/hla-1_3/RTIambassador.cc b/libRTI/hla-1_3/RTIambassador.cc
index bd3c552d..a3f110ff 100644
--- a/libRTI/hla-1_3/RTIambassador.cc
+++ b/libRTI/hla-1_3/RTIambassador.cc
@@ -1772,12 +1398,7 @@ void RTI::RTIambassador::enableAsynchronousDelivery() throw(RTI::RTIinternalErro
 
 // ----------------------------------------------------------------------------
 // Disable Asynchronous Delivery
-void RTI::RTIambassador::disableAsynchronousDelivery() throw(RTI::RTIinternalError,
-                                                             RTI::RestoreInProgress,
-                                                             RTI::SaveInProgress,
-                                                             RTI::ConcurrentAccessAttempted,
-                                                             RTI::FederateNotExecutionMember,
-                                                             RTI::AsynchronousDeliveryAlreadyDisabled)
+void RTI::RTIambassador::disableAsynchronousDelivery()
 {
     M_Disable_Asynchronous_Delivery req, rep;
 
@@ -1786,11 +1407,7 @@ void RTI::RTIambassador::disableAsynchronousDelivery() throw(RTI::RTIinternalErr
 
 // ----------------------------------------------------------------------------
 // Query LBTS
-void RTI::RTIambassador::queryLBTS(RTI::FedTime& theTime) throw(RTI::FederateNotExecutionMember,
-                                                                RTI::ConcurrentAccessAttempted,
-                                                                RTI::SaveInProgress,
-                                                                RTI::RestoreInProgress,
-                                                                RTI::RTIinternalError)
+void RTI::RTIambassador::queryLBTS(RTI::FedTime& theTime)
 {
     M_Query_Lbts req, rep;
 
@@ -1801,11 +1418,7 @@ void RTI::RTIambassador::queryLBTS(RTI::FedTime& theTime) throw(RTI::FederateNot
 
 // ----------------------------------------------------------------------------
 // Query Federate Time
-void RTI::RTIambassador::queryFederateTime(RTI::FedTime& theTime) throw(RTI::FederateNotExecutionMember,
-                                                                        RTI::ConcurrentAccessAttempted,
-                                                                        RTI::SaveInProgress,
-                                                                        RTI::RestoreInProgress,
-                                                                        RTI::RTIinternalError)
+void RTI::RTIambassador::queryFederateTime(RTI::FedTime& theTime)
 {
     M_Query_Federate_Time req, rep;
 
@@ -1816,11 +1429,7 @@ void RTI::RTIambassador::queryFederateTime(RTI::FedTime& theTime) throw(RTI::Fed
 
 // ----------------------------------------------------------------------------
 // Query Minimum Next Event Time
-void RTI::RTIambassador::queryMinNextEventTime(RTI::FedTime& theTime) throw(RTI::FederateNotExecutionMember,
-                                                                            RTI::ConcurrentAccessAttempted,
-                                                                            RTI::SaveInProgress,
-                                                                            RTI::RestoreInProgress,
-                                                                            RTI::RTIinternalError)
+void RTI::RTIambassador::queryMinNextEventTime(RTI::FedTime& theTime)
 {
     M_Query_Min_Next_Event_Time req, rep;
 
@@ -1831,12 +1440,7 @@ void RTI::RTIambassador::queryMinNextEventTime(RTI::FedTime& theTime) throw(RTI:
 
 // ----------------------------------------------------------------------------
 // Modify Lookahead
-void RTI::RTIambassador::modifyLookahead(const RTI::FedTime& theLookahead) throw(RTI::RTIinternalError,
-                                                                                 RTI::RestoreInProgress,
-                                                                                 RTI::SaveInProgress,
-                                                                                 RTI::ConcurrentAccessAttempted,
-                                                                                 RTI::FederateNotExecutionMember,
-                                                                                 RTI::InvalidLookahead)
+void RTI::RTIambassador::modifyLookahead(const RTI::FedTime& theLookahead)
 {
     M_Modify_Lookahead req, rep;
 
@@ -1847,11 +1451,7 @@ void RTI::RTIambassador::modifyLookahead(const RTI::FedTime& theLookahead) throw
 
 // ----------------------------------------------------------------------------
 // Query Lookahead
-void RTI::RTIambassador::queryLookahead(RTI::FedTime& theTime) throw(RTI::FederateNotExecutionMember,
-                                                                     RTI::ConcurrentAccessAttempted,
-                                                                     RTI::SaveInProgress,
-                                                                     RTI::RestoreInProgress,
-                                                                     RTI::RTIinternalError)
+void RTI::RTIambassador::queryLookahead(RTI::FedTime& theTime)
 {
     M_Query_Lookahead req, rep;
 
@@ -1865,12 +1465,7 @@ void RTI::RTIambassador::queryLookahead(RTI::FedTime& theTime) throw(RTI::Federa
 
 // ----------------------------------------------------------------------------
 // Retract
-void RTI::RTIambassador::retract(RTI::EventRetractionHandle handle) throw(RTI::RTIinternalError,
-                                                                          RTI::RestoreInProgress,
-                                                                          RTI::SaveInProgress,
-                                                                          RTI::ConcurrentAccessAttempted,
-                                                                          RTI::FederateNotExecutionMember,
-                                                                          RTI::InvalidRetractionHandle)
+void RTI::RTIambassador::retract(RTI::EventRetractionHandle handle)
 {
     throw RTI::RTIinternalError("Unimplemented Service retract");
     M_Retract req, rep;
@@ -1887,15 +1482,7 @@ void RTI::RTIambassador::retract(RTI::EventRetractionHandle handle) throw(RTI::R
 // Change Attribute Order Type
 void RTI::RTIambassador::changeAttributeOrderType(ObjectHandle theObject,
                                                   const AttributeHandleSet& attrs,
-                                                  OrderingHandle theType) throw(RTI::RTIinternalError,
-                                                                                RTI::RestoreInProgress,
-                                                                                RTI::SaveInProgress,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::FederateNotExecutionMember,
-                                                                                RTI::InvalidOrderingHandle,
-                                                                                RTI::AttributeNotOwned,
-                                                                                RTI::AttributeNotDefined,
-                                                                                RTI::ObjectNotKnown)
+                                                  OrderingHandle theType)
 {
     M_Change_Attribute_Order_Type req, rep;
 
@@ -1909,14 +1496,7 @@ void RTI::RTIambassador::changeAttributeOrderType(ObjectHandle theObject,
 // ----------------------------------------------------------------------------
 // Change Interaction Order Type
 void RTI::RTIambassador::changeInteractionOrderType(InteractionClassHandle theClass,
-                                                    OrderingHandle theType) throw(RTI::RTIinternalError,
-                                                                                  RTI::RestoreInProgress,
-                                                                                  RTI::SaveInProgress,
-                                                                                  RTI::ConcurrentAccessAttempted,
-                                                                                  RTI::FederateNotExecutionMember,
-                                                                                  RTI::InvalidOrderingHandle,
-                                                                                  RTI::InteractionClassNotPublished,
-                                                                                  RTI::InteractionClassNotDefined)
+                                                    OrderingHandle theType)
 {
     M_Change_Interaction_Order_Type req, rep;
 
@@ -1933,13 +1513,7 @@ void RTI::RTIambassador::changeInteractionOrderType(InteractionClassHandle theCl
     \return A Region object, associated with the created region
  */
 RTI::Region* RTI::RTIambassador::createRegion(SpaceHandle space,
-                                              ULong nb_extents) throw(RTI::SpaceNotDefined,
-                                                                      RTI::InvalidExtents,
-                                                                      RTI::FederateNotExecutionMember,
-                                                                      RTI::ConcurrentAccessAttempted,
-                                                                      RTI::SaveInProgress,
-                                                                      RTI::RestoreInProgress,
-                                                                      RTI::RTIinternalError)
+                                              ULong nb_extents)
 {
     M_Ddm_Create_Region req, rep;
     req.setSpace(space);
@@ -1957,13 +1531,7 @@ RTI::Region* RTI::RTIambassador::createRegion(SpaceHandle space,
     the region services to the RTI.
     \param r The region to commit to the RTI
  */
-void RTI::RTIambassador::notifyAboutRegionModification(Region& r) throw(RTI::RegionNotKnown,
-                                                                        RTI::InvalidExtents,
-                                                                        RTI::FederateNotExecutionMember,
-                                                                        RTI::ConcurrentAccessAttempted,
-                                                                        RTI::SaveInProgress,
-                                                                        RTI::RestoreInProgress,
-                                                                        RTI::RTIinternalError)
+void RTI::RTIambassador::notifyAboutRegionModification(Region& r)
 {
     try {
         RegionImp& region = dynamic_cast<RegionImp&>(r);
@@ -1989,13 +1557,7 @@ void RTI::RTIambassador::notifyAboutRegionModification(Region& r) throw(RTI::Reg
     \attention Always use this function to destroy a region. Do NOT
     use the C++ delete operator.
  */
-void RTI::RTIambassador::deleteRegion(Region* region) throw(RTI::RegionNotKnown,
-                                                            RTI::RegionInUse,
-                                                            RTI::FederateNotExecutionMember,
-                                                            RTI::ConcurrentAccessAttempted,
-                                                            RTI::SaveInProgress,
-                                                            RTI::RestoreInProgress,
-                                                            RTI::RTIinternalError)
+void RTI::RTIambassador::deleteRegion(Region* region)
 {
     if (region == 0) {
         throw RegionNotKnown("");
@@ -2020,18 +1582,7 @@ RTI::ObjectHandle RTI::RTIambassador::registerObjectInstanceWithRegion(ObjectCla
                                                                        const char* tag,
                                                                        AttributeHandle attrs[],
                                                                        Region* regions[],
-                                                                       ULong nb) throw(RTI::ObjectClassNotDefined,
-                                                                                       RTI::ObjectClassNotPublished,
-                                                                                       RTI::AttributeNotDefined,
-                                                                                       RTI::AttributeNotPublished,
-                                                                                       RTI::RegionNotKnown,
-                                                                                       RTI::InvalidRegionContext,
-                                                                                       RTI::ObjectAlreadyRegistered,
-                                                                                       RTI::FederateNotExecutionMember,
-                                                                                       RTI::ConcurrentAccessAttempted,
-                                                                                       RTI::SaveInProgress,
-                                                                                       RTI::RestoreInProgress,
-                                                                                       RTI::RTIinternalError)
+                                                                       ULong nb)
 {
     M_Ddm_Register_Object req, rep;
 
@@ -2055,17 +1606,7 @@ RTI::ObjectHandle RTI::RTIambassador::registerObjectInstanceWithRegion(ObjectCla
 RTI::ObjectHandle RTI::RTIambassador::registerObjectInstanceWithRegion(ObjectClassHandle object_class,
                                                                        RTI::AttributeHandle attrs[],
                                                                        RTI::Region* regions[],
-                                                                       ULong nb) throw(RTI::ObjectClassNotDefined,
-                                                                                       RTI::ObjectClassNotPublished,
-                                                                                       RTI::AttributeNotDefined,
-                                                                                       RTI::AttributeNotPublished,
-                                                                                       RTI::RegionNotKnown,
-                                                                                       RTI::InvalidRegionContext,
-                                                                                       RTI::FederateNotExecutionMember,
-                                                                                       RTI::ConcurrentAccessAttempted,
-                                                                                       RTI::SaveInProgress,
-                                                                                       RTI::RestoreInProgress,
-                                                                                       RTI::RTIinternalError)
+                                                                       ULong nb)
 {
     M_Ddm_Register_Object req, rep;
 
@@ -2091,15 +1632,7 @@ RTI::ObjectHandle RTI::RTIambassador::registerObjectInstanceWithRegion(ObjectCla
     @sa unassociateRegionForUpdates
  */
 void RTI::RTIambassador::associateRegionForUpdates(
-    Region& region, ObjectHandle object, const AttributeHandleSet& attributes) throw(RTI::ObjectNotKnown,
-                                                                                     RTI::AttributeNotDefined,
-                                                                                     RTI::InvalidRegionContext,
-                                                                                     RTI::RegionNotKnown,
-                                                                                     RTI::FederateNotExecutionMember,
-                                                                                     RTI::ConcurrentAccessAttempted,
-                                                                                     RTI::SaveInProgress,
-                                                                                     RTI::RestoreInProgress,
-                                                                                     RTI::RTIinternalError)
+    Region& region, ObjectHandle object, const AttributeHandleSet& attributes)
 {
     Debug(D, pdDebug) << "+ Associate Region for Updates" << endl;
 
@@ -2121,14 +1654,7 @@ void RTI::RTIambassador::associateRegionForUpdates(
     @see associateRegionForUpdates
  */
 void RTI::RTIambassador::unassociateRegionForUpdates(Region& region,
-                                                     ObjectHandle object) throw(RTI::ObjectNotKnown,
-                                                                                RTI::InvalidRegionContext,
-                                                                                RTI::RegionNotKnown,
-                                                                                RTI::FederateNotExecutionMember,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::SaveInProgress,
-                                                                                RTI::RestoreInProgress,
-                                                                                RTI::RTIinternalError)
+                                                     ObjectHandle object)
 {
     Debug(D, pdDebug) << "+ Unassociate Region for Updates" << endl;
     M_Ddm_Unassociate_Region req, rep;
@@ -2152,15 +1678,7 @@ void RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(
     ObjectClassHandle object_class,
     Region& region,
     const AttributeHandleSet& attributes,
-    Boolean passive) throw(RTI::ObjectClassNotDefined,
-                           RTI::AttributeNotDefined,
-                           RTI::RegionNotKnown,
-                           RTI::InvalidRegionContext,
-                           RTI::FederateNotExecutionMember,
-                           RTI::ConcurrentAccessAttempted,
-                           RTI::SaveInProgress,
-                           RTI::RestoreInProgress,
-                           RTI::RTIinternalError)
+    Boolean passive)
 {
     Debug(D, pdDebug) << "+ Subscribe Object Class Attributes with Region" << endl;
     M_Ddm_Subscribe_Attributes req, rep;
@@ -2184,14 +1702,7 @@ void RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(
     @sa subscribeObjectClassAttributesWithRegion
  */
 void RTI::RTIambassador::unsubscribeObjectClassWithRegion(ObjectClassHandle object_class,
-                                                          Region& region) throw(RTI::ObjectClassNotDefined,
-                                                                                RTI::RegionNotKnown,
-                                                                                RTI::ObjectClassNotSubscribed,
-                                                                                RTI::FederateNotExecutionMember,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::SaveInProgress,
-                                                                                RTI::RestoreInProgress,
-                                                                                RTI::RTIinternalError)
+                                                          Region& region)
 {
     Debug(D, pdDebug) << "+ Unsubscribe Object Class " << object_class << " with Region" << endl;
     M_Ddm_Unsubscribe_Attributes req, rep;
@@ -2206,15 +1717,7 @@ void RTI::RTIambassador::unsubscribeObjectClassWithRegion(ObjectClassHandle obje
 // ----------------------------------------------------------------------------
 // Subscribe Interaction Class With Region
 void RTI::RTIambassador::subscribeInteractionClassWithRegion(
-    InteractionClassHandle ic, Region& region, RTI::Boolean passive) throw(RTI::InteractionClassNotDefined,
-                                                                           RTI::RegionNotKnown,
-                                                                           RTI::InvalidRegionContext,
-                                                                           RTI::FederateLoggingServiceCalls,
-                                                                           RTI::FederateNotExecutionMember,
-                                                                           RTI::ConcurrentAccessAttempted,
-                                                                           RTI::SaveInProgress,
-                                                                           RTI::RestoreInProgress,
-                                                                           RTI::RTIinternalError)
+    InteractionClassHandle ic, Region& region, RTI::Boolean passive)
 {
     M_Ddm_Subscribe_Interaction req, rep;
 
@@ -2231,14 +1734,7 @@ void RTI::RTIambassador::subscribeInteractionClassWithRegion(
 // ----------------------------------------------------------------------------
 // UnSubscribe Interaction Class With Region
 void RTI::RTIambassador::unsubscribeInteractionClassWithRegion(InteractionClassHandle ic,
-                                                               Region& region) throw(RTI::InteractionClassNotDefined,
-                                                                                     RTI::InteractionClassNotSubscribed,
-                                                                                     RTI::RegionNotKnown,
-                                                                                     RTI::FederateNotExecutionMember,
-                                                                                     RTI::ConcurrentAccessAttempted,
-                                                                                     RTI::SaveInProgress,
-                                                                                     RTI::RestoreInProgress,
-                                                                                     RTI::RTIinternalError)
+                                                               Region& region)
 {
     M_Ddm_Unsubscribe_Interaction req, rep;
 
@@ -2255,17 +1751,7 @@ RTI::RTIambassador::sendInteractionWithRegion(InteractionClassHandle interaction
                                               const ParameterHandleValuePairSet& par,
                                               const RTI::FedTime& time,
                                               const char* tag,
-                                              const Region& region) throw(RTI::InteractionClassNotDefined,
-                                                                          RTI::InteractionClassNotPublished,
-                                                                          RTI::InteractionParameterNotDefined,
-                                                                          RTI::InvalidFederationTime,
-                                                                          RTI::RegionNotKnown,
-                                                                          RTI::InvalidRegionContext,
-                                                                          RTI::FederateNotExecutionMember,
-                                                                          RTI::ConcurrentAccessAttempted,
-                                                                          RTI::SaveInProgress,
-                                                                          RTI::RestoreInProgress,
-                                                                          RTI::RTIinternalError)
+                                              const Region& region)
 {
     M_Send_Interaction req, rep;
     EventRetractionHandle event;
@@ -2288,16 +1774,7 @@ RTI::RTIambassador::sendInteractionWithRegion(InteractionClassHandle interaction
 void RTI::RTIambassador::sendInteractionWithRegion(InteractionClassHandle interaction,
                                                    const ParameterHandleValuePairSet& par,
                                                    const char* tag,
-                                                   const Region& region) throw(RTI::InteractionClassNotDefined,
-                                                                               RTI::InteractionClassNotPublished,
-                                                                               RTI::InteractionParameterNotDefined,
-                                                                               RTI::RegionNotKnown,
-                                                                               RTI::InvalidRegionContext,
-                                                                               RTI::FederateNotExecutionMember,
-                                                                               RTI::ConcurrentAccessAttempted,
-                                                                               RTI::SaveInProgress,
-                                                                               RTI::RestoreInProgress,
-                                                                               RTI::RTIinternalError)
+                                                   const Region& region)
 {
     M_Send_Interaction req, rep;
 
@@ -2317,14 +1794,7 @@ void RTI::RTIambassador::sendInteractionWithRegion(InteractionClassHandle intera
 void RTI::RTIambassador::requestClassAttributeValueUpdateWithRegion(
     ObjectClassHandle /*object*/,
     const AttributeHandleSet& attrs,
-    const Region& region) throw(RTI::RTIinternalError,
-                                RTI::RestoreInProgress,
-                                RTI::SaveInProgress,
-                                RTI::ConcurrentAccessAttempted,
-                                RTI::FederateNotExecutionMember,
-                                RTI::RegionNotKnown,
-                                RTI::AttributeNotDefined,
-                                RTI::ObjectClassNotDefined)
+    const Region& region)
 {
     throw RTI::RTIinternalError("unimplemented service requestClassAttributeValueUpdateWithRegion");
 
@@ -2338,8 +1808,7 @@ void RTI::RTIambassador::requestClassAttributeValueUpdateWithRegion(
 /** Get object class handle
     \param theName Name of the object class
  */
-RTI::ObjectClassHandle RTI::RTIambassador::getObjectClassHandle(const char* theName) throw(
-    RTI::NameNotFound, RTI::FederateNotExecutionMember, RTI::ConcurrentAccessAttempted, RTI::RTIinternalError)
+RTI::ObjectClassHandle RTI::RTIambassador::getObjectClassHandle(const char* theName)
 {
     M_Get_Object_Class_Handle req, rep;
 
@@ -2359,10 +1828,7 @@ RTI::ObjectClassHandle RTI::RTIambassador::getObjectClassHandle(const char* theN
     \return The class name associated with the handle, memory has to
     be freed by the caller.
  */
-char* RTI::RTIambassador::getObjectClassName(ObjectClassHandle handle) throw(RTI::ObjectClassNotDefined,
-                                                                             RTI::FederateNotExecutionMember,
-                                                                             RTI::ConcurrentAccessAttempted,
-                                                                             RTI::RTIinternalError)
+char* RTI::RTIambassador::getObjectClassName(ObjectClassHandle handle)
 {
     M_Get_Object_Class_Name req, rep;
 
@@ -2378,11 +1844,7 @@ char* RTI::RTIambassador::getObjectClassName(ObjectClassHandle handle) throw(RTI
  */
 RTI::AttributeHandle
 RTI::RTIambassador::getAttributeHandle(const char* theName,
-                                       ObjectClassHandle whichClass) throw(RTI::ObjectClassNotDefined,
-                                                                           RTI::NameNotFound,
-                                                                           RTI::FederateNotExecutionMember,
-                                                                           RTI::ConcurrentAccessAttempted,
-                                                                           RTI::RTIinternalError)
+                                       ObjectClassHandle whichClass)
 {
     Debug(G, pdGendoc) << "enter RTI::RTIambassador::getAttributeHandle" << std::endl;
     M_Get_Attribute_Handle req, rep;
@@ -2401,11 +1863,7 @@ RTI::RTIambassador::getAttributeHandle(const char* theName,
  */
 
 char* RTI::RTIambassador::getAttributeName(AttributeHandle theHandle,
-                                           ObjectClassHandle whichClass) throw(RTI::ObjectClassNotDefined,
-                                                                               RTI::AttributeNotDefined,
-                                                                               RTI::FederateNotExecutionMember,
-                                                                               RTI::ConcurrentAccessAttempted,
-                                                                               RTI::RTIinternalError)
+                                           ObjectClassHandle whichClass)
 {
     M_Get_Attribute_Name req, rep;
 
@@ -2417,8 +1875,7 @@ char* RTI::RTIambassador::getAttributeName(AttributeHandle theHandle,
 
 // ----------------------------------------------------------------------------
 // Get Interaction Class Handle
-RTI::InteractionClassHandle RTI::RTIambassador::getInteractionClassHandle(const char* theName) throw(
-    RTI::NameNotFound, RTI::FederateNotExecutionMember, RTI::ConcurrentAccessAttempted, RTI::RTIinternalError)
+RTI::InteractionClassHandle RTI::RTIambassador::getInteractionClassHandle(const char* theName)
 {
     M_Get_Interaction_Class_Handle req, rep;
 
@@ -2431,11 +1888,7 @@ RTI::InteractionClassHandle RTI::RTIambassador::getInteractionClassHandle(const
 
 // ----------------------------------------------------------------------------
 // Get Interaction Class Name
-char* RTI::RTIambassador::getInteractionClassName(InteractionClassHandle theHandle) throw(
-    RTI::InteractionClassNotDefined,
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::RTIinternalError)
+char* RTI::RTIambassador::getInteractionClassName(InteractionClassHandle theHandle)
 {
     M_Get_Interaction_Class_Name req, rep;
 
